Skip to main content

Get markets

GET 

/markets

Returns the information about one or all markets on Bitvavo.

info

This is a public endpoint. However, authenticating your request gives you a higher rate limit.

Rate limit weight points: 1

Request

Query Parameters

    market string

    The market for which to return information.

    Example: BTC-EUR

Responses

The request was successful.

Schema
  • Array [
  • marketstring

    The market for which you requested information.

    Example: BTC-EUR
    statusstring

    The status of the market for which you requested information. To learn how markets in different statuses work, see Trading Rules.

    Possible values: [trading, halted, auction, auctionMatching, cancelOnly]

    Example: trading
    basestring

    The base currency of the specified market.

    Example: BTC
    quotestring

    The quote currency of the specified market.

    Example: EUR
    pricePrecisionintegerdeprecated

    The number of digits allowed in the price when the order was created.

    Example: 5
    minOrderInBaseAssetstring

    The minimum amount of base currency for an order in the specified market.

    Example: 0.0001
    minOrderInQuoteAssetstring

    The minimum amount of quote currency for an order in the specified market.

    Example: 5
    maxOrderInBaseAssetstring

    The maximum amount of base currency for an order in the specified market.

    Example: 1000000000
    maxOrderInQuoteAssetstring

    The maximum amount of quote currency for an order in the specified market.

    Example: 1000000000
    orderTypesstring[]

    The types of orders that can be placed in the specified market.

    Possible values: [market, limit, stopLoss, stopLossLimit, takeProfit, takeProfitLimit]

    Example: ["market","limit","stopLoss","stopLossLimit","takeProfit","takeProfitLimit"]
    quantityDecimalsinteger

    The maximum number of decimals in the amount of an order.

    Example: 4
    notionalDecimalsinteger

    The maximum number of decimal places allowed for amountQuote (quote currency amount).

    Example: 2
    tickSizestring

    The minimum price increment of the market.

    Example: 0.01
    maxOpenOrdersinteger

    The maximum number of open orders allowed in a market per account.

    Example: 100
    feeCategorystring

    The fee category of the market.

    Example: A
  • ]